TrcStackElemAtom Class Reference

`#include <trc_etmv4_stack_elem.h>`

Inheritance diagram for TrcStackElemAtom:
[legend]
Collaboration diagram for TrcStackElemAtom:
[legend]

## Public Member Functions

void | setAtom (const ocsd_pkt_atom &atom)
const ocsd_atm_val | commitOldest ()
int | cancelNewest (const int nCancel)
void | mispredictNewest ()
const bool | isEmpty () const
Public Member Functions inherited from TrcStackElem
| TrcStackElem (const p0_elem_t p0_type, const bool isP0, const ocsd_etmv4_i_pkt_type root_pkt, const ocsd_trc_index_t root_index)
virtual | ~TrcStackElem ()
const p0_elem_t | getP0Type () const
const ocsd_etmv4_i_pkt_type | getRootPkt () const
const ocsd_trc_index_t | getRootIndex () const
const bool | isP0 () const

## Protected Member Functions

| TrcStackElemAtom (const ocsd_etmv4_i_pkt_type root_pkt, const ocsd_trc_index_t root_index)
virtual | ~TrcStackElemAtom ()

## Friends

class | EtmV4P0Stack

## Additional Inherited Members

Protected Attributes inherited from TrcStackElem
bool | m_is_P0

## Detailed Description

Atom element

Definition at line 236 of file trc_etmv4_stack_elem.h.

## Constructor & Destructor Documentation

## TrcStackElemAtom()

TrcStackElemAtom::TrcStackElemAtom | ( | const ocsd_etmv4_i_pkt_type | root_pkt,
|  | const ocsd_trc_index_t | root_index
| ) |  |

inline protected

Definition at line 256 of file trc_etmv4_stack_elem.h.

## ~TrcStackElemAtom()

virtual TrcStackElemAtom::~TrcStackElemAtom | ( |  | ) |

inline protected virtual

Definition at line 240 of file trc_etmv4_stack_elem.h.

## Member Function Documentation

## cancelNewest()

int TrcStackElemAtom::cancelNewest | ( | const int | nCancel | ) |

inline

Definition at line 272 of file trc_etmv4_stack_elem.h.

## commitOldest()

const ocsd_atm_val TrcStackElemAtom::commitOldest | ( |  | ) |

inline

Definition at line 263 of file trc_etmv4_stack_elem.h.

## isEmpty()

const bool TrcStackElemAtom::isEmpty | ( |  | ) | const

inline

Definition at line 250 of file trc_etmv4_stack_elem.h.

## mispredictNewest()

void TrcStackElemAtom::mispredictNewest | ( |  | ) |

inline

Definition at line 280 of file trc_etmv4_stack_elem.h.

## setAtom()

void TrcStackElemAtom::setAtom | ( | const ocsd_pkt_atom & | atom | ) |

inline

Definition at line 245 of file trc_etmv4_stack_elem.h.

## Friends And Related Function Documentation

## EtmV4P0Stack

friend class EtmV4P0Stack

friend

Definition at line 242 of file trc_etmv4_stack_elem.h.

The documentation for this class was generated from the following file:

- /build/libopencsd-nipXOR/libopencsd-1.2.0/decoder/include/opencsd/etmv4/trc_etmv4_stack_elem.h